program polygon_generator;

{$APPTYPE CONSOLE}

uses Math;

const
  maxr = 1000;
  alpha = 100;
  sectang = 10;
  nmax = 100;

var 
  i, ks, t, n, tempi: integer;
  x, y, k: array[0..nmax] of integer;
  r: extended;

begin
  assignfile(output, 'input.txt'); rewrite(output);
  val (paramstr(1), n, tempi);
  val (paramstr(2), randseed, tempi);

  r := random*maxr + alpha*n;

  ks := 0;
  for i := 1 to n do
  begin
    k[i] := round(random*sectang) + 1;
    inc(ks, k[i]);
  end;

  writeln(n);
  t := 0;
  for i := 1 to n do
  begin
    t := t + k[i];
    x[i] := round(cos(-(2*pi*t)/ks)*r);
    y[i] := round(sin(-(2*pi*t)/ks)*r);
  end;

  for i := 1 to n do
  begin
    assert(x[i]*y[(i mod n) + 1] - x[(i mod n) + 1]*y[i] < 0);
    write (x[i], ' ', y[i], ' ');
  end; 

  closefile(output);
end.