program pie_splitting;

{$APPTYPE CONSOLE}

const
  inf = 1000000000;
  nmax = 100;

var
  i, j, k, l, n: integer;
  c: array[0..nmax, 0..nmax] of extended;
  x, y: array[0..nmax] of extended;
  w, res: extended;

function rang(a, b: integer): extended;
begin
  if ((a mod n) + 1) = b then 
    result := 0
  else
    result := sqrt(sqr(x[a] - x[b]) + sqr(y[a] - y[b]));
end;

begin
  assignfile(input, 'input.txt'); reset(input);
  assignfile(output, 'output.txt'); rewrite(output);

  read(n);
  for i := 1 to n do read(x[i], y[i]);

  for l := 3 to n - 1 do
    for i := 1 to n do
    begin
      j := ((i + l - 1) mod n) + 1;
      c[i, j] := inf;
      
      k := (i mod n) + 1;
      while k <> j do
      begin
        w := rang(i, k) + rang(k, j) + c[i, k] + c[k, j];
        if w < c[i, j] then c[i, j] := w;
        k := (k mod n) + 1;
      end;
    end;

  res := inf;
  for i := 1 to n do
    if c[(i mod n) + 1, i] < res then res := c[(i mod n) + 1, i];

  writeln(res:0:4);
  closefile(input); closefile(output);
end.